## org.apache.ivy.plugins.circular
Class AbstractLogCircularDependencyStrategy

    java.lang.Object
      org.apache.ivy.plugins.circular.AbstractCircularDependencyStrategy
          org.apache.ivy.plugins.circular.AbstractLogCircularDependencyStrategy

All Implemented Interfaces:
  CircularDependencyStrategy

Direct Known Subclasses:
  IgnoreCircularDependencyStrategy, WarnCircularDependencyStrategy

    public abstract class AbstractLogCircularDependencyStrategy

extends AbstractCircularDependencyStrategy

Constructor Summary
`protected` `AbstractLogCircularDependencyStrategy(java.lang.String name)`

Method Summary
`protected java.lang.String` `getCircularDependencyId(ModuleRevisionId[] mrids)`
`void` `handleCircularDependency(ModuleRevisionId[] mrids)`
`protected abstract void` `logCircularDependency(ModuleRevisionId[] mrids)`

Methods inherited from class org.apache.ivy.plugins.circular.AbstractCircularDependencyStrategy
`getName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractLogCircularDependencyStrategy

    protected AbstractLogCircularDependencyStrategy(java.lang.String name)

Method Detail

### handleCircularDependency

    public void handleCircularDependency(ModuleRevisionId[] mrids)

### logCircularDependency

    protected abstract void logCircularDependency(ModuleRevisionId[] mrids)

### getCircularDependencyId

    protected java.lang.String getCircularDependencyId(ModuleRevisionId[] mrids)